// file ecerror.h

// -------------------------------------------------
// Error Codes
// -------------------------------------------------

// No error occurred
#define Err_None              0x00
// No valid token found during poll
#define Err_NoValidToken      0x01
// Tear occurred, the device contents have not changed
#define Err_Tear_Unchanged    0x02
// Tear occurred, the device contents are in an unknown state
#define Err_Tear_Unknown      0x03
// Tear occurred, but a fix has been applied.  Retry verification.
#define Err_Tear_Reverify     0x04
// Failed to erase coprocessor scratchpad.
#define Err_CopEraseSP        0x05
// Failed to find account file
#define Err_OpenAccount       0x06
// Failed to get challenge from coprocessor
#define Err_GetChallenge      0x07
// During Read: Failed to issue challenge to token
#define Err_IssueChallengeR   0x08
// During Verify: Failed to issue challenge to token
#define Err_IssueChallengeV   0x09
// Failed to read token's account data, or data is bad
#define Err_ReadAccount       0x0A
// Failed to compute the UTS
#define Err_CompDevSecret     0x0B
// Device failed initial authentication
#define Err_Authenticate      0x0C
#define Err_AuthenticateV     0x0D
// Money file signature failed validation
#define Err_Validate          0x0E
// Failed to update the device
#define Err_WriteAccountPage  0x0F
// Insufficient funds for debit.
#define Err_DebitNSF          0x10
// Failed to erase scratchpad.
#define Err_EraseScratchpad   0x11
// Found token in poll, but wrong type
#define Err_TokenWrongType    0x12

// -------------------------------------------------
// Specific Error Codes
// -------------------------------------------------

// No error occurred
#define Err_Spec_None              0x00
#define Err_Spec_Select_Failed     0x01
#define Err_Spec_Bad_Directory     0x02
#define Err_Spec_File_Not_Found    0x03
#define Err_Spec_Bad_CRC_On_Cmd    0x04
#define Err_Spec_No_Completion     0x05
#define Err_Spec_Bad_File_Length   0x06
#define Err_Spec_Bad_Cert_Type     0x07
#define Err_Spec_Bad_CP            0x08
#define Err_Spec_Bad_File_CRC      0x09